Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/CreateExperimentDialog.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -122,50 +122,51 @@
         if (e.Item.Checked) multipleChoiceParameters.Add(parameter, new HashSet<IItem>());
         else multipleChoiceParameters.Remove(parameter);
-      }
-
-      var intValue = parameter.Value as ValueTypeValue<int>;
-      if (intValue != null) {
-        if (e.Item.Checked) {
-          IntArray initialValues;
-          if (intValue.Value == int.MinValue)
-            initialValues = new IntArray(new int[] { -100, -50, 5 });
-          else if (intValue.Value == int.MaxValue)
-            initialValues = new IntArray(new int[] { 5, 50, 100 });
-          else if (intValue.Value == 0)
-            initialValues = new IntArray(new int[] { 0, 1, 2 });
-          else if (Math.Abs(intValue.Value) < 10)
-            initialValues = new IntArray(new int[] { intValue.Value - 1, intValue.Value, intValue.Value + 1 });
-          else initialValues = new IntArray(new int[] { intValue.Value / 2, intValue.Value, intValue.Value * 2 });
-          intParameters.Add(parameter, initialValues);
-          intParameters[parameter].Reset += new EventHandler(ValuesArray_Reset);
-        } else intParameters.Remove(parameter);
-      }
-
-      var doubleValue = parameter.Value as ValueTypeValue<double>;
-      if (doubleValue != null) {
-        if (e.Item.Checked) {
-          DoubleArray initialValues;
-          if (doubleValue.Value == double.MinValue)
-            initialValues = new DoubleArray(new double[] { -1, -0.5, 0 });
-          else if (doubleValue.Value == double.MaxValue)
-            initialValues = new DoubleArray(new double[] { 0, 0.5, 1 });
-          else if (doubleValue.Value == 0.0)
-            initialValues = new DoubleArray(new double[] { 0, 0.1, 0.2 });
-          else if (Math.Abs(doubleValue.Value) <= 1.0) {
-            if (doubleValue.Value > 0.9 || (doubleValue.Value < 0.0 && doubleValue.Value > -0.1))
-              initialValues = new DoubleArray(new double[] { doubleValue.Value - 0.2, doubleValue.Value - 0.1, doubleValue.Value });
-            else if (doubleValue.Value < -0.9 || (doubleValue.Value > 0 && doubleValue.Value < 0.1))
-              initialValues = new DoubleArray(new double[] { doubleValue.Value, doubleValue.Value + 0.1, doubleValue.Value + 0.2 });
-            else initialValues = new DoubleArray(new double[] { doubleValue.Value - 0.1, doubleValue.Value, doubleValue.Value + 0.1 });
-          } else initialValues = new DoubleArray(new double[] { doubleValue.Value / 2.0, doubleValue.Value, doubleValue.Value * 2.0 });
-          doubleParameters.Add(parameter, initialValues);
-          doubleParameters[parameter].Reset += new EventHandler(ValuesArray_Reset);
-        } else doubleParameters.Remove(parameter);
-      }
-
-      var boolValue = parameter.Value as ValueTypeValue<bool>;
-      if (boolValue != null) {
-        if (e.Item.Checked) boolParameters.Add(parameter);
-        else boolParameters.Remove(parameter);
+      } else {
+
+        var intValue = parameter.Value as ValueTypeValue<int>;
+        if (intValue != null) {
+          if (e.Item.Checked) {
+            IntArray initialValues;
+            if (intValue.Value == int.MinValue)
+              initialValues = new IntArray(new int[] { -100, -50, 5 });
+            else if (intValue.Value == int.MaxValue)
+              initialValues = new IntArray(new int[] { 5, 50, 100 });
+            else if (intValue.Value == 0)
+              initialValues = new IntArray(new int[] { 0, 1, 2 });
+            else if (Math.Abs(intValue.Value) < 10)
+              initialValues = new IntArray(new int[] { intValue.Value - 1, intValue.Value, intValue.Value + 1 });
+            else initialValues = new IntArray(new int[] { intValue.Value / 2, intValue.Value, intValue.Value * 2 });
+            intParameters.Add(parameter, initialValues);
+            intParameters[parameter].Reset += new EventHandler(ValuesArray_Reset);
+          } else intParameters.Remove(parameter);
+        }
+
+        var doubleValue = parameter.Value as ValueTypeValue<double>;
+        if (doubleValue != null) {
+          if (e.Item.Checked) {
+            DoubleArray initialValues;
+            if (doubleValue.Value == double.MinValue)
+              initialValues = new DoubleArray(new double[] { -1, -0.5, 0 });
+            else if (doubleValue.Value == double.MaxValue)
+              initialValues = new DoubleArray(new double[] { 0, 0.5, 1 });
+            else if (doubleValue.Value == 0.0)
+              initialValues = new DoubleArray(new double[] { 0, 0.1, 0.2 });
+            else if (Math.Abs(doubleValue.Value) <= 1.0) {
+              if (doubleValue.Value > 0.9 || (doubleValue.Value < 0.0 && doubleValue.Value > -0.1))
+                initialValues = new DoubleArray(new double[] { doubleValue.Value - 0.2, doubleValue.Value - 0.1, doubleValue.Value });
+              else if (doubleValue.Value < -0.9 || (doubleValue.Value > 0 && doubleValue.Value < 0.1))
+                initialValues = new DoubleArray(new double[] { doubleValue.Value, doubleValue.Value + 0.1, doubleValue.Value + 0.2 });
+              else initialValues = new DoubleArray(new double[] { doubleValue.Value - 0.1, doubleValue.Value, doubleValue.Value + 0.1 });
+            } else initialValues = new DoubleArray(new double[] { doubleValue.Value / 2.0, doubleValue.Value, doubleValue.Value * 2.0 });
+            doubleParameters.Add(parameter, initialValues);
+            doubleParameters[parameter].Reset += new EventHandler(ValuesArray_Reset);
+          } else doubleParameters.Remove(parameter);
+        }
+
+        var boolValue = parameter.Value as ValueTypeValue<bool>;
+        if (boolValue != null) {
+          if (e.Item.Checked) boolParameters.Add(parameter);
+          else boolParameters.Remove(parameter);
+        }
       }
 
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/FileManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,7 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
+using System.IO;
 using System.Windows.Forms;
 using HeuristicLab.Common;
+using HeuristicLab.Core;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
@@ -98,6 +99,6 @@
           SaveAs(view);
         else {
-          ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).SetAppStartingCursor();
-          SetEnabledStateOfContentViews(content, false);
+          MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().SetAppStartingCursor();
+          SetSaveOperationProgressInContentViews(content, true);
           ContentManager.SaveAsync(content, content.Filename, true, SavingCompleted);
         }
@@ -120,9 +121,16 @@
           saveFileDialog.FilterIndex = 2;
         }
-        saveFileDialog.FileName = string.IsNullOrEmpty(content.Filename) ? "Item" : content.Filename;
+
+        INamedItem namedItem = content as INamedItem;
+        string suggestedFileName = string.Empty;
+        if (!string.IsNullOrEmpty(content.Filename)) suggestedFileName = content.Filename;
+        else if (namedItem != null) suggestedFileName = namedItem.Name;
+        else suggestedFileName = "Item";
+
+        saveFileDialog.FileName = suggestedFileName;
 
         if (saveFileDialog.ShowDialog() == DialogResult.OK) {
-          ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).SetAppStartingCursor();
-          SetEnabledStateOfContentViews(content, false);
+          MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().SetAppStartingCursor();
+          SetSaveOperationProgressInContentViews(content, true, saveFileDialog.FileName);
           if (saveFileDialog.FilterIndex == 1) {
             ContentManager.SaveAsync(content, saveFileDialog.FileName, false, SavingCompleted);
@@ -135,5 +143,4 @@
     private static void SavingCompleted(IStorableContent content, Exception error) {
       try {
-        SetEnabledStateOfContentViews(content, true);
         if (error != null) throw error;
         MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().UpdateTitle();
@@ -143,15 +150,18 @@
       }
       finally {
-        ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).ResetAppStartingCursor();
+        SetSaveOperationProgressInContentViews(content, false);
+        MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().ResetAppStartingCursor();
       }
     }
 
-    private static void SetEnabledStateOfContentViews(IStorableContent content, bool enabled) {
+    private static void SetSaveOperationProgressInContentViews(IStorableContent content, bool showProgress, string fileName = null) {
       HeuristicLab.MainForm.WindowsForms.MainForm mainForm = MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>();
       #region Mono Compatibility
       // removed the InvokeRequired check because of Mono
       mainForm.Invoke((Action)delegate {
-        var views = MainFormManager.MainForm.Views.OfType<IContentView>().Where(v => v.Content == content).ToList();
-        views.ForEach(v => v.Enabled = enabled);
+        if (showProgress) {
+          mainForm.AddOperationProgressToContent(content, string.Format("Saving to file \"{0}\"...", Path.GetFileName(fileName ?? content.Filename)));
+        } else
+          mainForm.RemoveOperationProgressFromContent(content);
       });
       #endregion
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 11202)
@@ -124,7 +124,15 @@
     <EmbeddedResource Include="Documents\VNS_TSP.hl" />
     <EmbeddedResource Include="Documents\PSO_Schwefel.hl" />
-    <EmbeddedResource Include="Documents\TS_VRP.hl" />
     <EmbeddedResource Include="Documents\SS_VRP.hl" />
     <EmbeddedResource Include="Documents\RAPGA_JSSP.hl" />
+    <EmbeddedResource Include="Documents\GPR.hl" />
+    <EmbeddedResource Include="Documents\TS_VRP.hl" />
+    <EmbeddedResource Include="Documents\GE_ArtificialAnt.hl" />
+    <EmbeddedResource Include="Documents\GE_SymbReg.hl" />
+    <EmbeddedResource Include="Documents\GA_QAP_Script.hl" />
+    <EmbeddedResource Include="Documents\GUI_Automation_Script.hl" />
+    <EmbeddedResource Include="Documents\OSGA_Rastrigin_Script.hl" />
+    <EmbeddedResource Include="Documents\GP_Multiplexer.hl" />
+    <EmbeddedResource Include="Documents\OSGP_TimeSeries.hl" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="OptimizerSingleDocumentMainForm.cs">
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/IOptimizerUserInterfaceItemProvider.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/IOptimizerUserInterfaceItemProvider.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/IOptimizerUserInterfaceItemProvider.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeSeperator.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeSeperator.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeSeperator.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseAllMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseAllMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseAllMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CloseMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ConvertIntoUserDefinedAlgorithmMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ConvertIntoUserDefinedAlgorithmMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ConvertIntoUserDefinedAlgorithmMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CreateExperimentMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CreateExperimentMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/CreateExperimentMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/ExitMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/NewMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/NewMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/NewMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/OpenMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/OpenMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/OpenMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/Separators.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/Separators.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/Separators.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/StartPageMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/StartPageMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/StartPageMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/UsernamePasswordMenuItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/UsernamePasswordMenuItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/MenuItems/UsernamePasswordMenuItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -86,5 +86,5 @@
     protected override void OnClosing(CancelEventArgs e) {
       base.OnClosing(e);
-      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
+      if (MainFormManager.MainForm.Views.OfType<IContentView>().Any(v=>v.Content is IStorableContent)) {
         if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
           e.Cancel = true;
@@ -110,5 +110,5 @@
       else {
         IContentView activeView = ActiveView as IContentView;
-        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
+        if ((activeView != null) && (activeView.Content is IStorableContent)) {
           IStorableContent content = (IStorableContent)activeView.Content;
           Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -86,5 +86,5 @@
     protected override void OnClosing(CancelEventArgs e) {
       base.OnClosing(e);
-      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
+      if (MainFormManager.MainForm.Views.OfType<IContentView>().Any(v => v.Content is IStorableContent)) {
         if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
           e.Cancel = true;
@@ -110,5 +110,5 @@
       else {
         IContentView activeView = ActiveView as IContentView;
-        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
+        if ((activeView != null) && (activeView.Content is IStorableContent)) {
           IStorableContent content = (IStorableContent)activeView.Content;
           Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -86,5 +86,5 @@
     protected override void OnClosing(CancelEventArgs e) {
       base.OnClosing(e);
-      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
+      if (MainFormManager.MainForm.Views.OfType<IContentView>().Any(v => v.Content is IStorableContent)) {
         if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
           e.Cancel = true;
@@ -110,5 +110,5 @@
       else {
         IContentView activeView = ActiveView as IContentView;
-        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
+        if ((activeView != null) && (activeView.Content is IStorableContent)) {
           IStorableContent content = (IStorableContent)activeView.Content;
           Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/Plugin.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/Plugin.cs.frame	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/Plugin.cs.frame	(revision 11202)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Optimizer {
-  [Plugin("HeuristicLab.Optimizer", "3.3.7.$WCREV$")]
+  [Plugin("HeuristicLab.Optimizer", "3.3.10.$WCREV$")]
   [PluginFile("HeuristicLab.Optimizer-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
@@ -47,5 +47,5 @@
   }
 
-  [Application("Optimizer", "HeuristicLab Optimizer 3.3.7.$WCREV$")]
+  [Application("Optimizer", "HeuristicLab Optimizer 3.3.10.$WCREV$")]
   internal class HeuristicLabOptimizerApplication : ApplicationBase {
     public override void Run(ICommandLineArgument[] args) {
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/Properties/AssemblyInfo.cs.frame	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/Properties/AssemblyInfo.cs.frame	(revision 11202)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/StartPage.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/StartPage.Designer.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/StartPage.Designer.cs	(revision 11202)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -50,14 +50,11 @@
       this.titleLabel = new System.Windows.Forms.Label();
       this.samplesGroupBox = new System.Windows.Forms.GroupBox();
-      this.loadingPanel = new System.Windows.Forms.Panel();
-      this.loadingProgressBar = new System.Windows.Forms.ProgressBar();
-      this.loadingLabel = new System.Windows.Forms.Label();
       this.samplesListView = new System.Windows.Forms.ListView();
-      this.nameColumnHeader = new System.Windows.Forms.ColumnHeader();
-      this.descriptionColumnHeader = new System.Windows.Forms.ColumnHeader();
+      this.nameColumnHeader = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+      this.descriptionColumnHeader = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
       this.imageList = new System.Windows.Forms.ImageList(this.components);
       this.splitContainer = new System.Windows.Forms.SplitContainer();
       this.samplesGroupBox.SuspendLayout();
-      this.loadingPanel.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
       this.splitContainer.Panel1.SuspendLayout();
       this.splitContainer.Panel2.SuspendLayout();
@@ -80,7 +77,7 @@
       // firstStepsRichTextBox
       // 
-      this.firstStepsRichTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.firstStepsRichTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.firstStepsRichTextBox.BackColor = System.Drawing.SystemColors.Control;
       this.firstStepsRichTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
@@ -89,5 +86,5 @@
       this.firstStepsRichTextBox.Name = "firstStepsRichTextBox";
       this.firstStepsRichTextBox.ReadOnly = true;
-      this.firstStepsRichTextBox.Size = new System.Drawing.Size(725, 370);
+      this.firstStepsRichTextBox.Size = new System.Drawing.Size(389, 581);
       this.firstStepsRichTextBox.TabIndex = 1;
       this.firstStepsRichTextBox.Text = "First Steps";
@@ -96,10 +93,10 @@
       // titleLabel
       // 
-      this.titleLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.titleLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.titleLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.titleLabel.Location = new System.Drawing.Point(-1, 0);
       this.titleLabel.Name = "titleLabel";
-      this.titleLabel.Size = new System.Drawing.Size(729, 30);
+      this.titleLabel.Size = new System.Drawing.Size(393, 30);
       this.titleLabel.TabIndex = 0;
       this.titleLabel.Text = "Title";
@@ -108,46 +105,14 @@
       // samplesGroupBox
       // 
-      this.samplesGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.samplesGroupBox.Controls.Add(this.loadingPanel);
+      this.samplesGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.samplesGroupBox.Controls.Add(this.samplesListView);
       this.samplesGroupBox.Location = new System.Drawing.Point(0, 3);
       this.samplesGroupBox.Name = "samplesGroupBox";
-      this.samplesGroupBox.Size = new System.Drawing.Size(728, 201);
+      this.samplesGroupBox.Size = new System.Drawing.Size(332, 637);
       this.samplesGroupBox.TabIndex = 0;
       this.samplesGroupBox.TabStop = false;
       this.samplesGroupBox.Text = "Samples";
-      // 
-      // loadingPanel
-      // 
-      this.loadingPanel.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.loadingPanel.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-      this.loadingPanel.Controls.Add(this.loadingProgressBar);
-      this.loadingPanel.Controls.Add(this.loadingLabel);
-      this.loadingPanel.Enabled = false;
-      this.loadingPanel.Location = new System.Drawing.Point(189, 89);
-      this.loadingPanel.Name = "loadingPanel";
-      this.loadingPanel.Size = new System.Drawing.Size(350, 62);
-      this.loadingPanel.TabIndex = 1;
-      // 
-      // loadingProgressBar
-      // 
-      this.loadingProgressBar.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.loadingProgressBar.Location = new System.Drawing.Point(101, 19);
-      this.loadingProgressBar.Name = "loadingProgressBar";
-      this.loadingProgressBar.Size = new System.Drawing.Size(229, 23);
-      this.loadingProgressBar.Step = 1;
-      this.loadingProgressBar.TabIndex = 1;
-      // 
-      // loadingLabel
-      // 
-      this.loadingLabel.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.loadingLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.loadingLabel.Location = new System.Drawing.Point(12, 19);
-      this.loadingLabel.Name = "loadingLabel";
-      this.loadingLabel.Size = new System.Drawing.Size(83, 23);
-      this.loadingLabel.TabIndex = 0;
-      this.loadingLabel.Text = "Loading ...";
       // 
       // samplesListView
@@ -162,5 +127,5 @@
       this.samplesListView.Name = "samplesListView";
       this.samplesListView.ShowItemToolTips = true;
-      this.samplesListView.Size = new System.Drawing.Size(722, 182);
+      this.samplesListView.Size = new System.Drawing.Size(326, 618);
       this.samplesListView.SmallImageList = this.imageList;
       this.samplesListView.Sorting = System.Windows.Forms.SortOrder.Ascending;
@@ -168,6 +133,6 @@
       this.samplesListView.UseCompatibleStateImageBehavior = false;
       this.samplesListView.View = System.Windows.Forms.View.Details;
+      this.samplesListView.ItemDrag += new System.Windows.Forms.ItemDragEventHandler(this.samplesListView_ItemDrag);
       this.samplesListView.DoubleClick += new System.EventHandler(this.samplesListView_DoubleClick);
-      this.samplesListView.ItemDrag += new System.Windows.Forms.ItemDragEventHandler(this.samplesListView_ItemDrag);
       // 
       // nameColumnHeader
@@ -189,14 +154,12 @@
       // splitContainer
       // 
-      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
       this.splitContainer.Location = new System.Drawing.Point(0, 0);
       this.splitContainer.Name = "splitContainer";
-      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
       // 
       // splitContainer.Panel1
       // 
       this.splitContainer.Panel1.Controls.Add(this.titleLabel);
+      this.splitContainer.Panel1.Controls.Add(this.showStartPageCheckBox);
       this.splitContainer.Panel1.Controls.Add(this.firstStepsRichTextBox);
       // 
@@ -204,23 +167,21 @@
       // 
       this.splitContainer.Panel2.Controls.Add(this.samplesGroupBox);
-      this.splitContainer.Size = new System.Drawing.Size(728, 614);
-      this.splitContainer.SplitterDistance = 406;
+      this.splitContainer.Size = new System.Drawing.Size(728, 640);
+      this.splitContainer.SplitterDistance = 392;
       this.splitContainer.TabIndex = 0;
       // 
       // StartPage
       // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.splitContainer);
-      this.Controls.Add(this.showStartPageCheckBox);
       this.Name = "StartPage";
       this.Size = new System.Drawing.Size(728, 640);
       this.samplesGroupBox.ResumeLayout(false);
-      this.loadingPanel.ResumeLayout(false);
       this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel1.PerformLayout();
       this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
       this.splitContainer.ResumeLayout(false);
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -236,7 +197,4 @@
     private System.Windows.Forms.ImageList imageList;
     private System.Windows.Forms.ColumnHeader descriptionColumnHeader;
-    private System.Windows.Forms.Panel loadingPanel;
-    private System.Windows.Forms.ProgressBar loadingProgressBar;
-    private System.Windows.Forms.Label loadingLabel;
     private System.Windows.Forms.SplitContainer splitContainer;
   }
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/StartPage.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/StartPage.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/StartPage.cs	(revision 11202)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using System.Collections.Generic;
 using System.IO;
 using System.Linq;
@@ -34,4 +35,19 @@
   [View("Start Page")]
   public partial class StartPage : HeuristicLab.MainForm.WindowsForms.View {
+    private const string StandardProblemsGroupName = "Standard Problems";
+    private const string DataAnalysisGroupName = "Data Analysis";
+    private const string ScriptsGroupName = "Scripts";
+    private const string UncategorizedGroupName = "Uncategorized";
+    private const string SampleNamePrefix = "HeuristicLab.Optimizer.Documents.";
+    private const string SampleNameSuffix = ".hl";
+
+    private readonly Dictionary<ListViewGroup, List<string>> groupLookup = new Dictionary<ListViewGroup, List<string>>();
+    private readonly ListViewGroup standardProblemsGroup = new ListViewGroup(StandardProblemsGroupName);
+    private readonly ListViewGroup dataAnalysisGroup = new ListViewGroup(DataAnalysisGroupName);
+    private readonly ListViewGroup scriptsGroup = new ListViewGroup(ScriptsGroupName);
+    private readonly ListViewGroup uncategorizedGroup = new ListViewGroup(UncategorizedGroupName);
+
+    private IProgress progress;
+
     public StartPage() {
       InitializeComponent();
@@ -49,8 +65,13 @@
         using (Stream stream = assembly.GetManifestResourceStream(typeof(StartPage), "Documents.FirstSteps.rtf"))
           firstStepsRichTextBox.LoadFile(stream, RichTextBoxStreamType.RichText);
-      }
-      catch (Exception) { }
+      } catch (Exception) { }
 
       samplesListView.Enabled = false;
+      samplesListView.Groups.Add(standardProblemsGroup);
+      samplesListView.Groups.Add(dataAnalysisGroup);
+      samplesListView.Groups.Add(scriptsGroup);
+      samplesListView.Groups.Add(uncategorizedGroup);
+      FillGroupLookup();
+
       showStartPageCheckBox.Checked = Properties.Settings.Default.ShowStartPage;
 
@@ -67,26 +88,65 @@
 
     private void LoadSamples(object state) {
-      Assembly assembly = Assembly.GetExecutingAssembly();
-      var samples = assembly.GetManifestResourceNames().Where(x => x.EndsWith(".hl"));
-      int count = samples.Count();
+      progress = MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(samplesListView, "Loading...");
+      try {
+        var assembly = Assembly.GetExecutingAssembly();
+        var samples = assembly.GetManifestResourceNames().Where(x => x.EndsWith(SampleNameSuffix));
+        int count = samples.Count();
+
+        foreach (var entry in groupLookup) {
+          var group = entry.Key;
+          var sampleList = entry.Value;
+          foreach (var sampleName in sampleList) {
+            string resourceName = SampleNamePrefix + sampleName + SampleNameSuffix;
+            LoadSample(resourceName, assembly, group, count);
+          }
+        }
+
+        var categorizedSamples = groupLookup.Select(x => x.Value).SelectMany(x => x).Select(x => SampleNamePrefix + x + SampleNameSuffix);
+        var uncategorizedSamples = samples.Except(categorizedSamples);
+
+        foreach (var resourceName in uncategorizedSamples) {
+          LoadSample(resourceName, assembly, uncategorizedGroup, count);
+        }
+
+        OnAllSamplesLoaded();
+      } finally {
+        MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().RemoveOperationProgressFromView(samplesListView);
+      }
+    }
+
+    private void LoadSample(string name, Assembly assembly, ListViewGroup group, int count) {
       string path = Path.GetTempFileName();
-
-      foreach (string name in samples) {
-        try {
-          using (Stream stream = assembly.GetManifestResourceStream(name)) {
-            WriteStreamToTempFile(stream, path);
-            INamedItem item = XmlParser.Deserialize<INamedItem>(path);
-            OnSampleLoaded(item, loadingProgressBar.Maximum / count);
-          }
-        }
-        catch (Exception) { }
-      }
-      OnAllSamplesLoaded();
-    }
-    private void OnSampleLoaded(INamedItem sample, int progress) {
+      try {
+        using (var stream = assembly.GetManifestResourceStream(name)) {
+          WriteStreamToTempFile(stream, path); // create a file in a temporary folder (persistence cannot load these files directly from the stream)
+          var item = XmlParser.Deserialize<INamedItem>(path);
+          OnSampleLoaded(item, group, 1.0 / count);
+        }
+      } catch (Exception) {
+      } finally {
+        if (File.Exists(path)) {
+          File.Delete(path); // make sure we remove the temporary file
+        }
+      }
+    }
+
+    private void FillGroupLookup() {
+      var standardProblems = new List<string> { "ES_Griewank", "GA_TSP", "GA_VRP", "GE_ArtificialAnt",
+                "IslandGA_TSP", "LS_Knapsack", "PSO_Schwefel", "RAPGA_JSSP",
+                "SA_Rastrigin", "SGP_SantaFe","GP_Multiplexer", "SS_VRP", "TS_TSP", "TS_VRP", "VNS_TSP"
+        };
+      groupLookup[standardProblemsGroup] = standardProblems;
+      var dataAnalysisProblems = new List<string> { "SGP_SymbClass", "SGP_SymbReg", "OSGP_TimeSeries", "GE_SymbReg", "GPR" };
+      groupLookup[dataAnalysisGroup] = dataAnalysisProblems;
+      var scripts = new List<string> { "GA_QAP_Script", "GUI_Automation_Script", "OSGA_Rastrigin_Script" };
+      groupLookup[scriptsGroup] = scripts;
+    }
+
+    private void OnSampleLoaded(INamedItem sample, ListViewGroup group, double progress) {
       if (InvokeRequired)
-        Invoke(new Action<INamedItem, int>(OnSampleLoaded), sample, progress);
+        Invoke(new Action<INamedItem, ListViewGroup, double>(OnSampleLoaded), sample, group, progress);
       else {
-        ListViewItem item = new ListViewItem(new string[] { sample.Name, sample.Description });
+        ListViewItem item = new ListViewItem(new string[] { sample.Name, sample.Description }, group);
         item.ToolTipText = sample.ItemName + ": " + sample.ItemDescription;
         samplesListView.SmallImageList.Images.Add(sample.ItemImage);
@@ -94,5 +154,5 @@
         item.Tag = sample;
         samplesListView.Items.Add(item);
-        loadingProgressBar.Value += progress;
+        this.progress.ProgressValue += progress;
       }
     }
@@ -106,5 +166,4 @@
             samplesListView.Columns[i].AutoResize(ColumnHeaderAutoResizeStyle.ColumnContent);
         }
-        loadingPanel.Visible = false;
       }
     }
@@ -115,6 +174,14 @@
 
     private void samplesListView_DoubleClick(object sender, EventArgs e) {
-      if (samplesListView.SelectedItems.Count == 1)
-        MainFormManager.MainForm.ShowContent((IContent)((IItem)samplesListView.SelectedItems[0].Tag).Clone());
+      if (samplesListView.SelectedItems.Count == 1) {
+        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
+        try {
+          mainForm.SetWaitCursor();
+          mainForm.ShowContent((IContent)((IItem)samplesListView.SelectedItems[0].Tag).Clone());
+        } finally {
+          mainForm.ResetWaitCursor();
+        }
+
+      }
     }
     private void samplesListView_ItemDrag(object sender, ItemDragEventArgs e) {
@@ -134,8 +201,5 @@
     private void WriteStreamToTempFile(Stream stream, string path) {
       using (FileStream output = new FileStream(path, FileMode.Create, FileAccess.Write)) {
-        int cnt = 0;
-        byte[] buffer = new byte[32 * 1024];
-        while ((cnt = stream.Read(buffer, 0, buffer.Length)) != 0)
-          output.Write(buffer, 0, cnt);
+        stream.CopyTo(output);
       }
     }
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/NewToolBarItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/NewToolBarItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/NewToolBarItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/OpenToolBarItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/OpenToolBarItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/OpenToolBarItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
